WQDUMP(1)

NAME
wqdump - manual page for wqdump 4.19.0

DESCRIPTION
NAME

    WQDump

SYNOPSIS

    WQDump

    <-d|--device DeviceName> <--source ContextType> [--gvmi Gvmi] [--qp ContextNumber] <--dump DumpType> [--fi StartIndex] [--num NumberOfItems] [--format Format] [--address Address] [--size Size] [-v|--version] [-h|--help] [--clear_semaphore] [--gw_access]

DESCRIPTION

    Mellanox WQ Dump Tool

OPTIONS

    WQDump

-d|--device DeviceName
    : Device name

--source ContextType
    : Type of context to dump. Options are: Snd, Rcv, Cmp, Srq, Eqe, ConnectX-3/Pro: MCG, Connect-IB, ConnectX-4/Lx: MKC, SXDC, FullQp, ConnectX-5: CMAS_QP_WQE, CMAS_QP_SWQ, CMAS_SRQ_WQE, CMAS_CQ_BUFF, CMAS_QP_DBR, CMAS_QP_SDB, CMAS_SRQ_DB, CMAS_CQ_DBR, CMAS_CQ_ARM, CMAS_EQ_BUFF, CMAS_TAG_MATCH, CMAS_INLINE

--gvmi Gvmi
    : Guest VM ID (Connect-IB, ConnectX-4/Lx)

--qp ContextNumber
    : context number to dump

--dump DumpType
    : Dump Type. Options are: WQ, QP, WQ_QP, ALL_QPC, ALL_VALID_QPNS, ICM

--fi StartIndex
    : Index of first element to dump, (Default: 0)

--num NumberOfItems
    : Number of elements to dump from buffer, (Default: keep reading)

--format Format
    : Output format: options are : text, raw, dw, (Default: text)

--address Address
    : Memory Address

--size Size
    : Memory size in bytes

-v|--version
    : Show tool version and exit

-h|--help
    : Show usage

--clear_semaphore
    : force clear semaphore

--gw_access
    : force get QPC by GW access (ConnectX-3/Pro)

SEE ALSO
The full documentation for wqdump is maintained as a Texinfo manual. If the info and wqdump programs are properly installed at your site, the command

    info wqdump

should give you access to the complete manual.